cURL
curl --request PUT \
--url https://api.cloud.pepperpay.com.br/public/v1/products/{hash}/offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hash": "abc123def",
"title": "Oferta Especial do Curso Atualizada",
"price": 9900
}
'import requests
url = "https://api.cloud.pepperpay.com.br/public/v1/products/{hash}/offers"
payload = {
"hash": "abc123def",
"title": "Oferta Especial do Curso Atualizada",
"price": 9900
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hash: 'abc123def', title: 'Oferta Especial do Curso Atualizada', price: 9900})
};
fetch('https://api.cloud.pepperpay.com.br/public/v1/products/{hash}/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hash": "abc123def",
"title": "Oferta Especial do Curso Atualizada",
"price": 9900,
"url": "https://go.pepper.com.br/abc123def",
"status": 1,
"interval": null,
"created_at": "2024-12-26 16:02:43",
"updated_at": "2024-12-26 16:22:52"
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"error": "Oferta não encontrada"
}Produtos
Editar oferta
Atualizar uma oferta existente de um produto específico
PUT
/
products
/
{hash}
/
offers
cURL
Headers Obrigatórios
- Authorization:
Bearer {seu_token_aqui} - Accept:
application/json - Content-Type:
application/json
Autorizações
Use o token da Pepper API no formato: Bearer {seu_token_aqui}
Parâmetros de caminho
Hash ID da oferta a ser editada
Corpo
application/json
Dados para atualização da oferta
Resposta
Oferta atualizada com sucesso
Hash ID único da oferta
Título da oferta
Preço da oferta em centavos
URL do checkout dessa oferta
Status da oferta
Intervalo de recorrência (somente em produtos no formato assinatura)
Data de criação da oferta
Data de atualização da oferta
⌘I